## python-debianbts 0.4

=== src/Makefile ===
TARGET=$(DESTDIR)/usr/share/python-support/python-debianbts/

all:

install:
	mkdir -p $(TARGET)
	cp *.py $(TARGET)

clean:

## python-debianbts 0.2.1

=== debian/changelog ===
python-debianbts (0.2.1) unstable; urgency=low

  * Corrected priority from extra to optional
  * Fixed short and long package description to make lintian happy

 -- Bastian Venthur <venthur@debian.org>  Fri, 11 Jul 2008 14:38:17 +0200

python-debianbts (0.2) unstable; urgency=low

  * Changed SOAP namespace to Debbugs/SOAP/V1, thanks Don for the hint!
  * Added values for Bugreports to compare their severities
  * Added HTML Parser and get_html_fulltext(bugnr)

 -- Bastian Venthur <venthur@debian.org>  Mon, 07 Jul 2008 23:26:58 +0200

python-debianbts (0.1) unstable; urgency=low

  * Initial Release.

 -- Bastian Venthur <venthur@debian.org>  Sun, 06 Jul 2008 19:40:04 +0200

=== debian/control ===
Source: python-debianbts
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6)
Standards-Version: 3.8.0
Homepage: http://reportbug-ng.alioth.debian.org

Package: python-debianbts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-soappy
Provides: ${python:Provides}
Description: Python interface to Debian's Bug Tracking System
 This package provides the debianbts module, which allows to query Debian's BTS
 via it's SOAP-inteface and returns the answer in Python's native data types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



include /usr/share/dpatch/dpatch.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  patch-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/python-debianbts.sgml > python-debianbts.1

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/python-debianbts.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-debianbts


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_pysupport
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-debianbts 0.3

=== debian/changelog ===
python-debianbts (0.3) unstable; urgency=low

  * Added support for Tags

 -- Bastian Venthur <venthur@debian.org>  Sat, 11 Oct 2008 17:16:38 +0200

## python-debianbts 0.4

=== debian/changelog ===
python-debianbts (0.4) unstable; urgency=low

  * Fix "incomplete documentation for debianbts.get_bugs()", added
    "correspondent" to docstring (Closes: #529588)
  * Fix "timestamps represented as strings", first- and lastaction are now
    datetimeobjects, thanks Jakub (Closes: #529488)
  * Added VCS-git field to debian/control 
  * Bumped standards version 
  * Replaced dh_clean -k with dh_prep in debian/rules 
  * Replaced Author(s) with Author in debian/copyright 

 -- Bastian Venthur <venthur@debian.org>  Sun, 07 Jun 2009 15:03:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6)
-Standards-Version: 3.8.0
-Homepage: http://reportbug-ng.alioth.debian.org
+Standards-Version: 3.8.1
+VCS-git: http://git.venthur.de/python-debianbts.git
 
 Package: python-debianbts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep 
 	dh_installdirs
 
 	# Add here commands to install the package into debian/python-debianbts.

## python-debianbts 1.4~bpo50+1

=== Makefile ===
all:
	$(MAKE) all -C src 

install:
	$(MAKE) install -C src

clean:
	$(MAKE) clean -C src

=== src/Makefile ===
TARGET=$(DESTDIR)/usr/share/python-support/python-debianbts/
DOCDIR=$(DESTDIR)/usr/share/doc/python-debianbts/

all:

install:
	mkdir -p $(TARGET)
	cp *.py $(TARGET)
	rm $(TARGET)__init__.py
	mkdir -p $(DOCDIR)
	mv $(TARGET)test_debianbts.py $(DOCDIR)


clean:

=== debian/changelog ===
python-debianbts (1.4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Bastian Venthur <venthur@debian.org>  Tue, 22 Jun 2010 23:00:05 +0200

python-debianbts (1.4) unstable; urgency=low

  * Fix "[python-debianbts] Typo that generates incorrect output"
    Fixed trivial typo (Closes: #566554)

 -- Bastian Venthur <venthur@debian.org>  Sun, 24 Jan 2010 12:51:03 +0100

python-debianbts (1.3) unstable; urgency=low

  * Removed id, found and fixed (Closes: #550945)
    - According to Don id is superflous and will vanish, use bug_num instead
    - found and fixed are only partly implemented in debbugs, found_versions
      and fixed_versions give the information you need.

 -- Bastian Venthur <venthur@debian.org>  Wed, 14 Oct 2009 23:52:19 +0200

python-debianbts (1.2) unstable; urgency=low

  * Fixed typo in debian/pyversions 

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2009 13:14:57 +0200

python-debianbts (1.1) unstable; urgency=low

  * Make python-debianbts depend on python >= 2.5
    - (Closes: #550569) python-debianbts: fails to
      compile with Python 2.4!!
    - (Closes: #550571) python-debianbts: Incompatible
      with python2.4!!

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2009 12:34:03 +0200

python-debianbts (1.0) unstable; urgency=low

  * Major version number jump breaks backwards compatibility

  * Added support for usertags
  * Bugreport class provides exactly the members, provided by SOAP even if
    they don't make sense:
    - id and bug_nr seem to be identical all the time
    - found and found_versions as well
    - keywords and tags also
    - even fixed and fixed date
    - summary is always empty, but subject gives the summary
    - ... and probably some other quirks
  * get_bug_log now returns a dict instead of an object
  * removed HTMLStripper class -- we use SOAP for a while now
  * removed get_html_fulltext -- bugs.debian.org/bugnr does the trick too
  * Major refactings
  * Added unittests

 -- Bastian Venthur <venthur@debian.org>  Sat, 10 Oct 2009 20:20:31 +0200

python-debianbts (0.6) unstable; urgency=low

  * Updated VCS-git field in debian/control, we moved to github
  * Bumped standards version (no changes)

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Sep 2009 16:29:45 +0200

python-debianbts (0.5) unstable; urgency=low

  The "greetings from Graz" release
  * Fix "python-glpk and python-debianbts: error when trying to install
    together" Removed __init__.py (Closes: #546561)
  * Fix "submitter field is always None" (Closes: #542651)

 -- Bastian Venthur <venthur@debian.org>  Mon, 14 Sep 2009 10:59:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6)
-Standards-Version: 3.8.1
-VCS-git: http://git.venthur.de/python-debianbts.git
+Standards-Version: 3.8.3
+VCS-git: git://github.com/venthur/python-debianbts.git
 
 Package: python-debianbts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	dh_installexamples
 #	dh_install
 #	dh_installmenu
-#	dh_installdebconf	
+#	dh_installdebconf
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam

## python-debianbts 1.9

=== Makefile ===
all:
	$(MAKE) all -C src
	$(MAKE) all -C test

install:
	$(MAKE) install -C src
	$(MAKE) install -C test

clean:
	$(MAKE) clean -C src
	$(MAKE) clean -C test

=== src/Makefile ===
TARGET=$(DESTDIR)/usr/share/python-support/python-debianbts/

all:

install:
	mkdir -p $(TARGET)
	cp *.py $(TARGET)
	rm $(TARGET)__init__.py

clean:
	rm -f *.pyc

=== debian/changelog ===
python-debianbts (1.9) unstable; urgency=low

  * Fixed issue in unicode handling in Bugreport.__str__ method
  * Added documentation for 'bugs' keyword in get_bugs

 -- Bastian Venthur <venthur@debian.org>  Fri, 06 Aug 2010 21:38:29 -0400

python-debianbts (1.8) unstable; urgency=low

  * Fix "please add a Vcs-Browser field in source stanza" (Closes: #590929)
  * Fixed the types of the mergedwith-, blocks-, blockedby-, and
    affects-fields of the Bugreport class: the first three changed from
    "String" to "list of Strings" the last one from "String" to list of
    Strings"
  * Removed the keywords-, found_date-, fixed_date-, and id-attributs as they
    are either not fully implemented in the BTS or superflouos
  * Added Unittests to ensure the above works as expected
  * Furhter improved the documentation of the methods and the Bugreport class

 -- Bastian Venthur <venthur@debian.org>  Sun, 01 Aug 2010 22:47:06 -0400

python-debianbts (1.7) unstable; urgency=low

  * Fix "remove *.pyc from source package" Added rm *.pyc rule in clean
    targets. (Closes: #590722)
  * Fix "UnicodeDecodeError: 'utf8' codec can't decode byte 0xe4 in
    position 44: invalid continuation byte" We replace invalid unicode
    characters now (Closes: #590725)

 -- Bastian Venthur <venthur@debian.org>  Thu, 29 Jul 2010 22:21:01 +0200

python-debianbts (1.6) unstable; urgency=low

  * Fix "reportbug-ng: coercing to Unicode: need string or buffer, int found",
    apparently "blocks" is sometimes a string and sometimes an int.
    (Closes: #590073)

 -- Bastian Venthur <venthur@debian.org>  Sat, 24 Jul 2010 15:01:00 +0200

python-debianbts (1.5) unstable; urgency=low

  * Fix "UnicodeDecodeError on get_bug_log() and other methods", added
    regression test for this bug. (Closes: #588954)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Jul 2010 14:59:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6)
 Standards-Version: 3.8.3
 VCS-git: git://github.com/venthur/python-debianbts.git
+Vcs-Browser: http://github.com/venthur/python-debianbts
 
 Package: python-debianbts
 Architecture: all

## python-debianbts 1.10

=== test/Makefile ===
DOCDIR=$(DESTDIR)/usr/share/doc/python-debianbts/

all:

install:
	mkdir -p $(DOCDIR)
	mv *.py $(DOCDIR)

clean:
	rm -f *.pyc

=== debian/changelog ===
python-debianbts (1.10) unstable; urgency=low

  * Switched to distutils

 -- Bastian Venthur <venthur@debian.org>  Thu, 24 Feb 2011 10:04:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6)
-Standards-Version: 3.8.3
+Build-Depends: dpatch, debhelper (>= 7), python-support (>= 0.6), python
+Standards-Version: 3.9.1
 VCS-git: git://github.com/venthur/python-debianbts.git
 Vcs-Browser: http://github.com/venthur/python-debianbts

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
+	python setup.py build
 	#docbook-to-man debian/python-debianbts.sgml > python-debianbts.1
 
 	touch $@
@@ -38,9 +38,9 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	python setup.py clean
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
@@ -49,7 +49,7 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/python-debianbts.
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-debianbts
+	python setup.py install --install-layout=deb --root=debian/python-debianbts
 
 
 # Build architecture-independent files here.

## python-debianbts 1.10build1

=== debian/changelog ===
python-debianbts (1.10build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies and provides.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Apr 2012 13:44:16 +0000

## python-debianbts 1.11

=== debian/changelog ===
python-debianbts (1.11) unstable; urgency=low

  * Uploaded lots of changes contributed by Jari Aalto. Thank you very much
    man!
    * Remove unused dpatch and upgrade to packaging format "3.0 (native)".
    * Update to Standards-Version to 3.9.3.1 and debhelper to 9.
    * Add build-arch and build-indep targets to rules file.
    * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
    * Fix spelling-error-in-description (Lintian).
    * Fix copyright-refers-to-symlink-license (Lintian).

  * Merged with patch from Michael, improving distutils setup.

 -- Bastian Venthur <venthur@debian.org>  Mon, 16 Apr 2012 10:40:08 +0100

=== debian/control ===
Source: python-debianbts
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 9), python-support (>= 0.6), python
Standards-Version: 3.9.3.1
Vcs-Git: git://github.com/venthur/python-debianbts.git
Vcs-Browser: http://github.com/venthur/python-debianbts

Package: python-debianbts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-soappy
Provides: ${python:Provides}
Description: Python interface to Debian's Bug Tracking System
 This package provides the debianbts module, which allows one to query Debian's
 BTS via it's SOAP-inteface and returns the answer in Python's native data
 types.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,6 @@
 
 
 
-include /usr/share/dpatch/dpatch.make
 
 configure: configure-stamp
 configure-stamp:
@@ -21,9 +20,13 @@
 	touch configure-stamp
 
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
 
-build-stamp: configure-stamp  patch-stamp
+build-stamp: configure-stamp
 	dh_testdir
 
 	# Add here commands to compile the package.
@@ -32,7 +35,7 @@
 
 	touch $@
 
-clean: unpatch
+clean:
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp

## python-debianbts 1.11ubuntu0.1

=== debian/changelog ===
python-debianbts (1.11ubuntu0.1) trusty-proposed; urgency=medium

  * Fix the crashes on BTS query. (LP: #1512200)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 02 Nov 2015 11:58:03 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: python-debianbts
 Section: python
 Priority: optional
-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9), python-support (>= 0.6), python
+Maintainer:  Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
+Build-Depends: debhelper (>= 9), python-support (>= 0.6), python, python-mock
 Standards-Version: 3.9.3.1
 Vcs-Git: git://github.com/venthur/python-debianbts.git
 Vcs-Browser: http://github.com/venthur/python-debianbts

## python-debianbts 1.11%2Bdyson1

=== debian/changelog ===
python-debianbts (1.11+dyson1) unstable; urgency=low

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 31 Dec 2013 15:55:48 +0400

## python-debianbts 1.12

=== debian/changelog ===
python-debianbts (1.12) unstable; urgency=medium

  * Added HTTP_PROXY support by applying the patch from Raphael Kubo da Costa,
    thank you very much! (Closes: #630496)
  * Fix "Bugreport.affects returns an array of chars, not strings" by
    splitting the input string (Closes: #670446)

 -- Bastian Venthur <venthur@debian.org>  Mon, 07 Jul 2014 14:50:29 +0200

## python-debianbts 1.12ubuntu0.1

=== debian/changelog ===
python-debianbts (1.12ubuntu0.1) vivid-proposed; urgency=medium

  * Fix the crashes on BTS query. (LP: #1512200) 

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Mon, 02 Nov 2015 13:27:45 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-debianbts
 Section: python
 Priority: optional
-Maintainer:  Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: debhelper (>= 9), python-support (>= 0.6), python, python-mock
 Standards-Version: 3.9.3.1

## python-debianbts 1.14

=== debian/changelog ===
python-debianbts (1.14) unstable; urgency=medium

  * Fix "preformance regression in get_status()" by applying patch from James
    McCoy. Thank you very much James! (Closes: #795198)
  * Made code more PEP8 compliant
  * Made unit tests more discoverable for nosetests

 -- Bastian Venthur <venthur@debian.org>  Wed, 12 Aug 2015 10:05:35 +0200

python-debianbts (1.13) unstable; urgency=medium

  * Fix "reportbug: HTTPError 500 Internal Server Error" by merging patch
    contributed by James McCoi, thanks James! (Closes: #722226)
    * Bugs are now downloaded in batches of 500 bugs
  * Bumped standards version
  * Transitioned the package from python-support to dh_python2

 -- Bastian Venthur <venthur@debian.org>  Thu, 23 Jul 2015 17:01:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-debianbts
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9), python-support (>= 0.6), python, python-mock
-Standards-Version: 3.9.3.1
+Maintainer: Bastian Venthur <venthur@debian.org>
+Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python-mock
+Standards-Version: 3.9.6
 Vcs-Git: git://github.com/venthur/python-debianbts.git
 Vcs-Browser: http://github.com/venthur/python-debianbts

=== debian/rules ===
--- 
+++ 
@@ -69,8 +69,7 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_pysupport
-#	dh_python
+	dh_python2
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo

## python-debianbts 2.6.0~ubuntu14.04.1

=== debian/changelog ===
python-debianbts (2.6.0~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1556172)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Mar 2016 11:05:56 -0500

python-debianbts (2.6.0) unstable; urgency=medium

  * Gaetano made python-debianbts thread safe by dynamically creating
    SoapClients instead of using a module-level one. (Closes: #801585)

 -- Bastian Venthur <venthur@debian.org>  Thu, 15 Oct 2015 15:35:16 +0200

python-debianbts (2.5.2) unstable; urgency=medium

  * Applied patch by Gaetano, that fixes Bugreport.__str__ throwing unicode
    decode errors
  * Fix bug where buglog body is sometimes not base64 decoded by applying
    patch by Gaetano. (Closes: #801585, #801347)

 -- Bastian Venthur <venthur@debian.org>  Tue, 13 Oct 2015 09:46:08 +0200

python-debianbts (2.5.1) unstable; urgency=medium

  * Applied patch by Gaetano fixing a bad import of the email module. Thanks
    Gaetano!
  * Use semver semantics for versioning from now on

 -- Bastian Venthur <venthur@debian.org>  Mon, 12 Oct 2015 15:16:14 +0200

python-debianbts (2.5) unstable; urgency=medium

  * Fix "get_bugs(..., 'bugs', [123, 456], ...) triggers serverside
    exception: The 'bugs' parameter ("HASH(0x315ced8)") to
    Debbugs::Bugs::get_bugs was a 'hashref'" Merged modified version of patch
    by Gaetano Guerriero. Thanks! (Closes: #801360)
  * Changed docstrings to numpy standard

 -- Bastian Venthur <venthur@debian.org>  Sun, 11 Oct 2015 15:48:42 +0200

python-debianbts (2.4) unstable; urgency=medium

  * Fix "base64-encoded strings" merged patch by Gaetano that parses all
    fields of Bugreport via _parse_string_el. (Closes: #799528)

 -- Bastian Venthur <venthur@debian.org>  Sun, 27 Sep 2015 13:37:22 +0200

python-debianbts (2.3) unstable; urgency=medium

  * Added logging to unit tests
  * Fixed some unittests
  * Fix "base64-encoded strings" by merging pull request by Gaetano Guerriero.
    (Closes: #799528) Thank you Gaetano!

 -- Bastian Venthur <venthur@debian.org>  Sun, 20 Sep 2015 15:29:19 +0200

python-debianbts (2.2) unstable; urgency=medium

  * Added patch by Gaetano to provide proper email messages in Buglog.
  * Upload to unstable

 -- Bastian Venthur <venthur@debian.org>  Thu, 17 Sep 2015 12:41:37 +0200

python-debianbts (2.1) experimental; urgency=medium

  * Port to Python 3. Thanks again Gaetano Guerriero for providing the initial
    patch! The code works now under Python2/3 simultaneously 
    (Closes: #732644)

 -- Bastian Venthur <venthur@debian.org>  Fri, 28 Aug 2015 09:30:41 +0200

python-debianbts (2.0) experimental; urgency=medium

  * Merged patch that ports python-debianbts from soappy to simplesoap, by
    Gaetano Guerriero. Thank you very much!
  * allow get_bugs(a, b, c, d) and get_bugs([a, b, c, d]) 

 -- Bastian Venthur <venthur@debian.org>  Thu, 27 Aug 2015 14:01:33 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=debianbts

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-debianbts 2.6.0

=== debian/control ===
Source: python-debianbts
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3 (>= 3.4), python-mock, python-pysimplesoap, python3-pysimplesoap
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Vcs-Git: git://github.com/venthur/python-debianbts.git
Vcs-Browser: http://github.com/venthur/python-debianbts

Package: python-debianbts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pysimplesoap
Provides: ${python:Provides}
Description: Python interface to Debian's Bug Tracking System
 This package provides the debianbts module, which allows one to query Debian's
 BTS via it's SOAP-interface and returns the answer in Python's native data
 types.

Package: python3-debianbts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python3-pysimplesoap
Provides: ${python:Provides}
Description: Python interface to Debian's Bug Tracking System
 This package provides the debianbts module, which allows one to query Debian's
 BTS via it's SOAP-interface and returns the answer in Python's native data
 types.

## python-debianbts 2.6.1~bpo8+1

=== debian/changelog ===
python-debianbts (2.6.1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Paul Wise <pabs@debian.org>  Sun, 02 Apr 2017 09:58:04 +0800

python-debianbts (2.6.1) unstable; urgency=medium

  * Applied merged various pull requests:
  * Fixed ssl w/ Python 3.4.3, thanks again Gaetano Guerriero!
  * Adding pysimplesoap to install requirements in setup.py, thanks
    SimplicityGuy!
  * Replaced erroneous unicode values, thanks mprpic!
  * Fixed some typos, thanks jkwilk!

 -- Bastian Venthur <venthur@debian.org>  Mon, 11 Jul 2016 10:50:39 +0200

python-debianbts (2.6.0~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Pierre Rudloff <contact@rudloff.pro>  Mon, 25 Jan 2016 00:08:10 +0100

## python-debianbts 2.7.2

=== debian/changelog ===
python-debianbts (2.7.2) unstable; urgency=medium

  * Minor fix in __main__.py

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Feb 2018 15:37:37 +0100

python-debianbts (2.7.1) unstable; urgency=medium

  * Fixed python_requires in setup.py

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Nov 2017 13:10:49 +0100

python-debianbts (2.7.0) unstable; urgency=medium

  * Applied patches by Ville Skyttä:
      - Prevent None prefix in SOAPAction
      - Replaced deprecated assert methods in tests
      - Some whitespace fixes
  * Bumped standards version
  * Updated Python packaging (setup.py)
  * Added Travis CI

 -- Bastian Venthur <venthur@debian.org>  Fri, 03 Nov 2017 10:02:08 +0100

python-debianbts (2.6.3) unstable; urgency=medium

  * Fix "Please expose severity sorting dict" Applied patch by Chris Lamb,
    thank you Chris! (Closes: #827853)

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Sep 2017 13:17:39 +0200

python-debianbts (2.6.2) unstable; urgency=medium

  * Fix "missing python3 dependency" applied patch by Adrian Bunk, thanks
    Adrian! (Closes: #867423)
  * Bumped standards version

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Sep 2017 12:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3 (>= 3.4), python-mock, python-pysimplesoap, python3-pysimplesoap
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3 (>= 3.4), python-mock, python-pysimplesoap, python3-pysimplesoap, python-setuptools, python3-setuptools
+Standards-Version: 4.1.1.0
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
 Vcs-Git: git://github.com/venthur/python-debianbts.git
@@ -20,8 +20,8 @@
 
 Package: python3-debianbts
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python3-pysimplesoap
-Provides: ${python:Provides}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pysimplesoap
+Provides: ${python3:Provides}
 Description: Python interface to Debian's Bug Tracking System
  This package provides the debianbts module, which allows one to query Debian's
  BTS via it's SOAP-interface and returns the answer in Python's native data

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=debianbts
+# don't install the same binary in python2 and python3, this can be removed once
+# we support python3 only
+export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/usr/share/debianbts
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## python-debianbts 2.8.2

=== debian/changelog ===
python-debianbts (2.8.2) unstable; urgency=medium

  * Fix "incompatible with new pysimplesoap", thanks Gaetano Guerriero for the
    quick patch! (Closes: #917165)

 -- Bastian Venthur <venthur@debian.org>  Mon, 31 Dec 2018 15:34:02 +0100

python-debianbts (2.8.1) unstable; urgency=medium

  * Fixed version

 -- Bastian Venthur <venthur@debian.org>  Sun, 30 Dec 2018 15:11:37 +0100

python-debianbts (2.8.0) unstable; urgency=medium

  * Added HTTP and HTTPS proxy support (set set_soap_proxy) thanks Kay
    McCormick! (Closes: #914057)
  * Re-licensed under MIT
  * Improved Python packaging
  * debian/control, removed X-Python{2,3}-Version
  * Dropped Python3.3 support
  * Moved from nose to pytest and re-wrote the tests
  * Run flake8 on tests as well
  * Fixed several unicode related tests
  * Fixed several linter problems
  * Improved parsing of emails on `get_bug_log`

 -- Bastian Venthur <venthur@debian.org>  Sun, 30 Dec 2018 14:17:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,6 @@
 Maintainer: Bastian Venthur <venthur@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python (>= 2.6.6-3~), python3 (>= 3.4), python-mock, python-pysimplesoap, python3-pysimplesoap, python-setuptools, python3-setuptools
 Standards-Version: 4.1.1.0
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
 Vcs-Git: git://github.com/venthur/python-debianbts.git
 Vcs-Browser: http://github.com/venthur/python-debianbts

=== debian/rules ===
--- 
+++ 
@@ -8,5 +8,8 @@
 # we support python3 only
 export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/usr/share/debianbts
 
+# disable tests as they require internet connection
+export PYBUILD_DISABLE=test
+
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## python-debianbts 2.8.2+nmu1

=== Makefile ===
.PHONY: \
    test \
    lint \
    release \
    clean

all: lint test

test:
	pytest

lint:
	flake8

release:
	python3 setup.py sdist bdist_wheel upload

clean:
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete

=== debian/changelog ===
python-debianbts (2.8.2+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:49:04 +0800

## python-debianbts 3.0.2~bpo10+1

=== debian/changelog ===
python-debianbts (3.0.2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 16 Jan 2020 23:52:39 +0530

python-debianbts (3.0.2) unstable; urgency=medium

  * Source-only upload (Closes: #944690)

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Nov 2019 13:31:53 +0100

python-debianbts (3.0.1) unstable; urgency=medium

  * Fixed base64 decoding for `done_by`
  * Re-organized tests

 -- Bastian Venthur <venthur@debian.org>  Wed, 13 Nov 2019 16:43:55 +0100

python-debianbts (3.0.0) unstable; urgency=medium

  * Dropped Python2 support. (Closes: #937692)

 -- Bastian Venthur <venthur@debian.org>  Tue, 12 Nov 2019 17:30:10 +0100

python-debianbts (2.10.0) unstable; urgency=medium

  * Modernized a few awkward method calls:
    * Deprecated support for positional arguments in `get_status`, we use a
      list of bugnumbers explicitly now: `get_status(123, 234, 345)` becomes
      `get_status([123, 234, 345])`
    * Deprecated support for positional arguments in `get_usertags`, we use a
      list of tags explicitly now: 
      `get_usertags('mail@example.com', 'foo', 'bar')` becomes
      `get_usertags('mail@example.com', ['foo', 'bar'])`
    * Deprecated support for positional arguments in `get_bugs`, we use
      `kwargs` explicitly now: 
      `get_bugs('package', 'gtk-qt-engine', 'severity', 'normal')` becomes
      `get_bugs(package='gtk-qt-engine', severity='normal')`
    the old ways to call those methods will be supported for a while, but
    there will be deprecation warnings.
  * Report coverage for tests as well
  * Updated a few tests to increase coverage
  * Removed randomness from some tests

 -- Bastian Venthur <venthur@debian.org>  Fri, 01 Nov 2019 19:16:58 +0100

python-debianbts (2.9.0) unstable; urgency=medium

  * Added done_by field to Bug Status (Closes: #943529)

 -- Bastian Venthur <venthur@debian.org>  Fri, 01 Nov 2019 12:32:15 +0100

=== debian/control ===
Source: python-debianbts
Section: python
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3 (>= 3.4), python3-pysimplesoap, python3-setuptools
Standards-Version: 4.1.1.0
Vcs-Git: git://github.com/venthur/python-debianbts.git
Vcs-Browser: http://github.com/venthur/python-debianbts

Package: python3-debianbts
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pysimplesoap
Provides: ${python3:Provides}
Description: Python interface to Debian's Bug Tracking System
 This package provides the debianbts module, which allows one to query Debian's
 BTS via it's SOAP-interface and returns the answer in Python's native data
 types.

## python-debianbts 3.0.2

=== Makefile ===
--- 
+++ 
@@ -18,3 +18,4 @@
 clean:
 	find . -type f -name *.pyc -delete
 	find . -type d -name __pycache__ -delete
+	rm -rf htmlcov

## python-debianbts 3.1.0

=== Makefile ===
VERSION = $(shell python3 setup.py --version)

all: lint test

test:
	pytest
.PHONY: test

lint:
	flake8
.PHONY: lint

release:
	python3 setup.py sdist bdist_wheel
	twine upload --repository-url https://upload.pypi.org/legacy/ dist/*
.PHONY: release

tarball:
	git archive --output=../python-debianbts_$(VERSION).orig.tar.gz HEAD

clean:
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	rm -rf htmlcov
.PHONY: clean

=== requirements.txt ===
pytest==4.1.0
pytest-cov==2.6.1
flake8==3.6.0

=== debian/changelog ===
python-debianbts (3.1.0) unstable; urgency=medium

  [ Bastian Venthur ]
  * Document and test the `archive` kwarg of `get_bugs`
  * Changed from FeedParser to BytesFeedParser with STMP policy in
    `get_bug_logs`
  * Migrated from TravisCI to GitHub workflows

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use secure URI in Vcs control header.

 -- Bastian Venthur <venthur@debian.org>  Fri, 18 Dec 2020 09:20:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3 (>= 3.4), python3-pysimplesoap, python3-setuptools
+Build-Depends: debhelper-compat (= 12), dh-python, python3 (>= 3.4), python3-pysimplesoap, python3-setuptools
 Standards-Version: 4.1.1.0
-Vcs-Git: git://github.com/venthur/python-debianbts.git
-Vcs-Browser: http://github.com/venthur/python-debianbts
+Vcs-Git: https://github.com/venthur/python-debianbts.git
+Vcs-Browser: https://github.com/venthur/python-debianbts
 
 Package: python3-debianbts
 Architecture: all

## python-debianbts 3.2.0

=== debian/changelog ===
python-debianbts (3.2.0) unstable; urgency=medium

  * Support overriding default SOAP location, thanks Mark Hindley for the
    patch! (Closes: #949867)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Aug 2021 11:52:50 +0200

## python-debianbts 3.2.3

=== Makefile ===
# system python interpreter. used only to create virtual environment
PY = python3
VENV = venv
BIN=$(VENV)/bin

DOCS_SRC = docs
DOCS_OUT = $(DOCS_SRC)/_build


ifeq ($(OS), Windows_NT)
	BIN=$(VENV)/Scripts
	PY=python
endif


VERSION = $(shell python3 setup.py --version)


all: lint test


$(VENV): requirements.txt requirements-dev.txt setup.py
	$(PY) -m venv $(VENV)
	$(BIN)/pip install --upgrade -r requirements.txt
	$(BIN)/pip install --upgrade -r requirements-dev.txt
	$(BIN)/pip install -e .
	touch $(VENV)

.PHONY: test
test: $(VENV)
	$(BIN)/pytest

.PHONY: lint
lint: $(VENV)
	$(BIN)/flake8

.PHONY: release
release: $(VENV)
	rm -rf dist
	$(BIN)/python setup.py sdist bdist_wheel
	$(BIN)/twine upload dist/*

.PHONY: docs
docs: $(VENV)
	$(BIN)/sphinx-build $(DOCS_SRC) $(DOCS_OUT)

tarball:
	git archive --output=../python-debianbts_$(VERSION).orig.tar.gz HEAD

.PHONY: clean
clean:
	rm -rf build dist *.egg-info
	rm -rf $(VENV)
	rm -rf $(DOCS_OUT)
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	# coverage
	rm -rf htmlcov .coverage

=== debian/changelog ===
python-debianbts (3.2.3) unstable; urgency=medium

  * source-only upload

 -- Bastian Venthur <venthur@debian.org>  Wed, 29 Jun 2022 21:35:27 +0200

python-debianbts (3.2.2) unstable; urgency=medium

  * test against Python 3.10
  * reformatted code
  * updated dependencies
  * added dependabot github action

 -- Bastian Venthur <venthur@debian.org>  Sun, 26 Jun 2022 12:27:29 +0200

python-debianbts (3.2.1) unstable; urgency=medium

  * Fix "changelog missing in binary package" Removed native CHANGELOG.md from
    dh_installdocs, as it prevented the shipping of the Debian changelog.
    (Closes: #949210)
  * Updated build system
  * Added sphinx documentation (readthedocs)
  * use pytest-xdist to speed up testing

 -- Bastian Venthur <venthur@debian.org>  Sun, 24 Apr 2022 15:00:03 +0200

## python-debianbts 4.0.1

=== Makefile ===
# system python interpreter. used only to create virtual environment
PY = python3
VENV = venv
BIN=$(VENV)/bin

DOCS_SRC = docs
DOCS_OUT = $(DOCS_SRC)/_build


ifeq ($(OS), Windows_NT)
	BIN=$(VENV)/Scripts
	PY=python
endif


all: lint mypy test test-release


$(VENV): pyproject.toml
	$(PY) -m venv $(VENV)
	$(BIN)/pip install -e .['dev']
	touch $(VENV)

.PHONY: test
test: $(VENV)
	$(BIN)/pytest

.PHONY: mypy
mypy: $(VENV)
	$(BIN)/mypy

.PHONY: lint
lint: $(VENV)
	$(BIN)/flake8

.PHONY: build
build: $(VENV)
	rm -rf dist
	$(BIN)/python3 -m build

.PHONY: test-release
test-release: $(VENV) build
	$(BIN)/twine check dist/*

.PHONY: release
release: $(VENV) build
	$(BIN)/twine upload dist/*

.PHONY: docs
docs: $(VENV)
	$(BIN)/sphinx-build $(DOCS_SRC) $(DOCS_OUT)

.PHONY: clean
clean:
	rm -rf build dist *.egg-info
	rm -rf $(VENV)
	rm -rf $(DOCS_OUT)
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	# coverage
	rm -rf htmlcov .coverage
	rm -rf .mypy_cache

=== debian/changelog ===
python-debianbts (4.0.1) unstable; urgency=medium

  * switched from setup.py to pyproject.toml
  * modernized github actions
  * added test for release

 -- Bastian Venthur <venthur@debian.org>  Thu, 08 Dec 2022 12:34:45 +0100

python-debianbts (4.0.0) experimental; urgency=medium

  * removed support for positional arguments in `get_status`, `get_usertags`
    and `get_bugs` (deprecated since 2.10.0 (2019-11))
  * added type hints and mypy (strict) to test suite
  * updated docstrings to use type hints
  * removed obsolete code to fix issue with pysimplesoap with httplib2 for
    python versions < 3.4
  * removed support for ancient versions of pysimplesoap < 1.16.2
  * updated github actions

 -- Bastian Venthur <venthur@debian.org>  Sat, 19 Nov 2022 14:19:43 +0100

python-debianbts (3.2.4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3.

  [ Bastian Venthur ]
  * dropped python 3.6 support
  * updated dev-requirements

 -- Bastian Venthur <venthur@debian.org>  Wed, 02 Nov 2022 19:27:33 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3 (>= 3.4), python3-pysimplesoap, python3-setuptools
+Build-Depends: debhelper-compat (= 12), dh-python, pybuild-plugin-pyproject, python3, python3-pysimplesoap, python3-setuptools
 Standards-Version: 4.1.1.0
 Vcs-Git: https://github.com/venthur/python-debianbts.git
 Vcs-Browser: https://github.com/venthur/python-debianbts

## python-debianbts 4.0.2

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,13 @@
 endif
 
 
+.PHONY: all
 all: lint mypy test test-release
 
-
-$(VENV): pyproject.toml
+$(VENV): requirements.txt requirements-dev.txt pyproject.toml
 	$(PY) -m venv $(VENV)
+	$(BIN)/pip install --upgrade -r requirements.txt
+	$(BIN)/pip install --upgrade -r requirements-dev.txt
 	$(BIN)/pip install -e .['dev']
 	touch $(VENV)
 
@@ -31,7 +33,7 @@
 
 .PHONY: lint
 lint: $(VENV)
-	$(BIN)/flake8
+	$(BIN)/ruff check .
 
 .PHONY: build
 build: $(VENV)

=== requirements.txt ===
pysimplesoap==1.16.2

=== debian/changelog ===
python-debianbts (4.0.2) unstable; urgency=medium

  * distribute typing information using py.typed (Closes: #1054330)
  * replaced flake8 with ruff
  * raised minimum python version to 3.8
  * increased minimum version of pysimplesoap to 1.16.2-5 (Closes: #1032430)

 -- Bastian Venthur <venthur@debian.org>  Sun, 22 Oct 2023 15:29:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, pybuild-plugin-pyproject, python3, python3-pysimplesoap, python3-setuptools
+Build-Depends:
+    debhelper-compat (= 12),
+    dh-python,
+    pybuild-plugin-pyproject,
+    python3,
+    python3-pysimplesoap (>= 1.16.2-5),
+    python3-setuptools
 Standards-Version: 4.1.1.0
 Vcs-Git: https://github.com/venthur/python-debianbts.git
 Vcs-Browser: https://github.com/venthur/python-debianbts

## python-debianbts 4.1.1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 VENV = venv
 BIN=$(VENV)/bin
 
-DOCS_SRC = docs
-DOCS_OUT = $(DOCS_SRC)/_build
+DOCS_OUT = site
 
 
 ifeq ($(OS), Windows_NT)
@@ -50,7 +49,7 @@
 
 .PHONY: docs
 docs: $(VENV)
-	$(BIN)/sphinx-build $(DOCS_SRC) $(DOCS_OUT)
+	$(BIN)/mkdocs build
 
 .PHONY: clean
 clean:

=== debian/changelog ===
python-debianbts (4.1.1) unstable; urgency=medium

  * Upload to unstable

 -- Bastian Venthur <venthur@debian.org>  Sun, 09 Jun 2024 09:36:48 +0200

python-debianbts (4.1.0) experimental; urgency=medium

  * replaced pysimplesoap with hand-coded SOAP requests and parsing of
    replies, thanks Peter de Wachter for providing the pull request!
  * replaced sphinx with mkdocs
  * fixed some documentation issues
  * Added Python 3.12 to test suite

 -- Bastian Venthur <venthur@debian.org>  Tue, 07 May 2024 21:03:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
     dh-python,
     pybuild-plugin-pyproject,
     python3,
-    python3-pysimplesoap (>= 1.16.2-5),
     python3-setuptools
 Standards-Version: 4.1.1.0
 Vcs-Git: https://github.com/venthur/python-debianbts.git
@@ -15,7 +14,7 @@
 
 Package: python3-debianbts
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-pysimplesoap
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
 Description: Python interface to Debian's Bug Tracking System
  This package provides the debianbts module, which allows one to query Debian's

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=debianbts

# disable tests as they require internet connection
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild
